"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_components_1 = require("styled-components");
const OpenButton = (props) => {
    return (react_1.default.createElement("div", { style: {
            transform: props.rotate
                ? `rotateZ(${props.open ? props.rotation || 0 : 0}deg)`
                : undefined,
            transition: `all ${props.time || 0}s linear ${props.delay || 0}s`,
        } }, props.rotate
        ? props.children
        : props.open
            ? props.openned
            : props.children));
};
exports.default = (0, styled_components_1.withTheme)(OpenButton);
//# sourceMappingURL=openButton.js.map