"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CollapsibleElement = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const config_1 = require("../../utils/config");
exports.CollapsibleElement = styled_components_1.default.div `
  ${(props) => (0, config_1.baseConfig)(props)}
  position: relative;
  overflow: hidden;

  display: block;
  transition: all max-height ${(props) => props?.time || 0.25}s linear
    ${(props) => props?.delay || 0}s;

  max-height: 0px;

  width: 100%;

  &.openned,
  &.open {
    max-height: ${(props) => props?.contentHeight + 'px' || 'fit-content'};
  }

  &.closed {
    max-height: 0px;
  }
`;
//# sourceMappingURL=styles.js.map