"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_usestateref_1 = __importDefault(require("react-usestateref"));
const styled_components_1 = require("styled-components");
const react_swipeable_list_1 = require("react-swipeable-list");
const styles_1 = require("./styles");
const util_1 = require("./util");
const Action = (props) => {
    const [destructive, setDestructive] = (0, react_usestateref_1.default)(props.destructive);
    const [onClick, setOnClick] = (0, react_usestateref_1.default)(props.onClick);
    const [style, setStyle] = (0, react_usestateref_1.default)(props.style);
    const [index, setIndex] = (0, react_usestateref_1.default)(props.index);
    const [state, setState] = (0, react_usestateref_1.default)(props.state);
    const [_lastIndex, setLastIndex] = (0, react_usestateref_1.default)(props.lastIndex);
    const [_lastState, setLastState] = (0, react_usestateref_1.default)(props.lastState);
    (0, react_1.useEffect)(() => {
        setDestructive(props.destructive);
    }, [props.destructive]);
    (0, react_1.useEffect)(() => {
        setOnClick(props.onClick);
    }, [props.onClick]);
    (0, react_1.useEffect)(() => {
        setStyle(props.style);
    }, [props.style]);
    (0, react_1.useEffect)(() => {
        setIndex(props.index);
    }, [props.index]);
    (0, react_1.useEffect)(() => {
        setState(props.state);
    }, [props.state]);
    (0, react_1.useEffect)(() => {
        setLastIndex(props.lastIndex);
    }, [props.lastIndex]);
    (0, react_1.useEffect)(() => {
        setLastState(props.lastState);
    }, [props.lastState]);
    return (react_1.default.createElement(react_swipeable_list_1.SwipeAction, { key: props.key, onClick: (...args) => {
            if (onClick) {
                const currentIndex = index;
                const currentState = state;
                const lastIndex = currentIndex;
                const lastState = currentState;
                return (0, util_1.baseAction)(state, setState, setLastState, index, setIndex, setLastIndex, onClick, ...args, currentState, currentIndex, lastState, lastIndex);
            }
        }, destructive: destructive },
        react_1.default.createElement(styles_1.ActionContent, { style: style }, props.children)));
};
exports.default = (0, styled_components_1.withTheme)(Action);
//# sourceMappingURL=index.js.map