/**
 * https://github.com/glennflanagan/react-collapsible/issues/177
 *
 * If the inner content of the collapsible has a scrollHeight of 0
 * `onTransitionEnd` will not fire.
 *
 * To fix this we do set 'inTransition' to false if the element has 0 height value.
 */
declare const setInTransition: (innerRefScrollHeight: any) => boolean;
export { setInTransition };
//# sourceMappingURL=util.d.ts.map